package com.seer.teach.teacher.resolver.impl;

import com.seer.teach.common.enums.RoleEnum;
import com.seer.teach.teacher.resolver.PromptVariableResolver;
import org.springframework.stereotype.Component;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-11-05 10:30
 */
@Component
public class UserRoleResolver implements PromptVariableResolver {
    @Override
    public String supportKey() {
        return "user_role";
    }

    @Override
    public String resolve() {
        return RoleEnum.CHILDREN.getName();
    }
}
